Catmandu::Importer::Multi(3pm)

NAME
Catmandu::Importer::Multi - Chain multiple importers together

SYNOPSIS
    use Catmandu::Importer::Multi;

    my $importer = Catmandu::Importer::Multi->new(importers => [
        Catmandu::Importer::Mock->new,
        Catmandu::Importer::Mock->new,
    ]);

    my $importer = Catmandu::Importer::Multi->new(
        'importer1',
        'importer2',
    );

    # return all the items of each importer in turn
    $importer->each(sub {
        # ...
    });

METHODS
Every Catmandu::Importer is a Catmandu::Iterable all its methods are inherited.